*, *::before, *::after{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
html{
	font-size: 62.5%;
	font-family: "Jost", sans-serif;
}

.main_div{
	width: 100vw; /*view port heigh*/
	height: 100vh; /*vertical heigh*/
	background-color: #444 ;
	display: grid;
	place-items: center;
}
.music_container{
	width: 35rem;
	height: 55rem;
	background-color: #ffffff;
	border-radius: 2rem;/*? 1rem = 10px*/
	box-shadow: 0 1.2rem 3rem 0.5rem rgba(0, 0, 0, 0,2);/*?*/
	padding: 3rem;
	/*border: 1px solid red;*/
	text-align: center;
}
.list_container{
	box-shadow: 0 1.2rem 3rem 0.5rem rgba(0, 0, 0, 0,2);/*?*/
	background-color: #ffffff;
	width: 35rem;
	position: absolute;
	height: 100%;
}
.music_container #title,.list_container #list_title{
	width: 300px;
	height: 30px;
	overflow: hidden;
	text-overflow: ellipsis;
	text-transform: uppercase;
	letter-spacing: 0.2rem;
	word-spacing: 0.5rem;
	color: #171717;
	margin: 2rem 0 0.5rem 0;/*//top right bottom left*/
	font-size: 2.5rem;
	font-weight: 500;
	text-shadow: 0 0.3rem 0.5rem rgba(0, 0, 0, 0.3);
}
.music_container #artist{
	text-transform: capitalize;
	letter-spacing: 0.1rem;
	font-size: 2rem;
	margin-bottom: 4rem;
	font-weight: 300;
}
.img_container{
	width: 25rem;
	height: 25rem;
	margin: auto;
}
img{
	width: 100%;
	height: 100%;
	box-shadow: 0 1.2rem 3rem 0.5rem rgba(0, 0, 0, 0.4);/*?*/
	border-radius: 50%;
	object-fit: cover;/*//to fit imge into parent div*/
}
.music_controls{
	width: 20rem;
	display: flex;
	justify-content: space-between;
	align-items: center;/*vertically center*/
	margin: auto;
	margin-top: 1rem;
}
.music_controls .fas{
	color: #111;
	font-size: 2rem;
	cursor: pointer;
	filter: drop-shadow(0 1.2rem 3rem 0.5rem rgba(0, 0, 0, 0.4));/*?*/

}
.music_controls .main_button{
	width: 5rem;
	height: 5rem;
	border-radius: 50%;
	background-color: #111;
	color: #f6f6f6;
	display: flex;
	justify-content: center;/*to align content center horizontally*/
	align-items: center;
	font-size : 1.4rem;
}
.music_controls .fas:hover{
	color: grey;
}
.music_controls .fa-play:hover{
	background-color: #f6f6f6;
	color: #111;
	box-shadow: 0 1.2rem 3rem 0.5rem rgba(0, 0, 0, 0.4);
}
.music_controls .fa-redo{
	opacity: 0.5;
}
/*ad animation*/
.anime{
	animation: rotatePlayer 10s linear infinite;
}
@keyframes rotatePlayer{
	from { 
		transform: rotate(0deg);
	 }
	to{
		transform: rotate(360deg);
	}
}
/*style progress*/
.progressbar_container{
	width: 100%;
	height: auto;
	padding: 1rem;
	margin-top: 1rem;
}
.progress_div{
	width: 100%;
	height: 0.5rem;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.7), 0 2px 4px rgba(0, 0, 0, 0.7),
	0 4px 8px rgba(0, 0, 0, 0.7), 0 8px 16px rgba(0, 0, 0, 0.7),
	0 16px 32px rgba(0, 0, 0, 0.7), 0 32px 64px rgba(0, 0, 0, 0.7);

	border-radius: 4rem;
	position: relative;
	margin-top: 0.5rem;
	-webkit-transition : all 1s linear;
	transition: all 1s linear;
	-moz-transition : all 1s linear;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	appearance: none;
	
}
.progress{
	position: absolute;
	top: 0;
	left: 0;
	width: 0%;
	height: 100%;
	background-color: #111;

	border-radius: 4rem;
	position: relative;
	-webkit-transition : width 1s linear;
	transition: width 1s linear;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	appearance: none;
}
/*float left and right*/
.progress_duration_meter{
	display: flex;
	justify-content: space-between;
	font-size: 1.2rem;
}
/*voluem div*/
.volume_div{
	display: none;
	width: 60%;
	height: 0.5rem;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.7), 0 2px 4px rgba(0, 0, 0, 0.7),
	0 4px 8px rgba(0, 0, 0, 0.7), 0 8px 16px rgba(0, 0, 0, 0.7),
	0 16px 32px rgba(0, 0, 0, 0.7), 0 32px 64px rgba(0, 0, 0, 0.7);

	border-radius: 4rem;
	position: relative;
	margin-top: -240px;
	margin-left: -90px;
	-webkit-transition : all 1s linear;
	transition: all 1s linear;
	-moz-transition : all 1s linear;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	appearance: none;
	transform: rotate(-90deg);
	top: 5px;
}
.volume{
	position: absolute;
	top: 0px;
	width: 0%;
	height: 100%;
	background-color: #111;
	margin-left: 0;

	border-radius: 4rem;
	position: relative;
	-webkit-transition : width 1s linear;
	transition: width 1s linear;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	appearance: none;
}
.volume_div .fas{
	font-size: 1.5rem;
	margin-top: 2px;
}
#author{
	padding: 10px;
	opacity: 0.1;
}
